com.mapinfo.midev.language.filter

## Class AttributeFilterCapability

- java.lang.Object
- - com.mapinfo.midev.language.filter.AttributeFilterCapability

All Implemented Interfaces:
  IFilterCapability

    public final class AttributeFilterCapability
    extends Object
    implements IFilterCapability

Identifies all the attribute filter capabilities available.

See Also:
  `AttributeFilter`, `ComparisonOperator`, `FilterCapabilities`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AttributeFilterCapability` `build(ComparisonOperator[] operators)` Returns an AttributeFilterCapability that indicates that it supports the specified ComparisonOperators.
`boolean` `equals(Object o)`
`Set` `getCapabilities()` Returns the ComparisonOperators that the AttributeFilter supports.
`int` `hashCode()`
`boolean` `isSupported(IFilterCapability desiredCapability)` Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCapabilities

    public Set getCapabilities()

Returns the ComparisonOperators that the AttributeFilter supports.

Returns:
  the ComparisonOperators that the AttributeFilter supports.

#### isSupported

    public boolean isSupported(IFilterCapability desiredCapability)

Description copied from interface: `IFilterCapability`
Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

Specified by:
  `isSupported` in interface `IFilterCapability`
Parameters:
  `desiredCapability` - the desired `IFilterCapability` to check support of.
Returns:
  `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

#### build

    public static AttributeFilterCapability build(ComparisonOperator[] operators)

Returns an AttributeFilterCapability that indicates that it supports the specified ComparisonOperators.

Parameters:
  `operators` - the supported ComparisonOperators.
Returns:
  an AttributeFilterCapability that indicates that it supports the specified ComparisonOperators.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`